搜索:
首页 >> php编程 >> MAC下通过改apache配置文件切换php多版本的方法

MAC下通过改apache配置文件切换php多版本的方法

Asp之家 2019-1-28 作者:小忆 投递文章

前言

前段时间,在自己的电脑上升级了php,php7.0虽然有部分更新,速度也提升了不少,但最近在做微信开发时,发现很多引擎不支持php7,于是想能不能安装两个版本进行切换,百度了很多方法发现不行。于是自己着手研究,发现在终端下运行“php -v”,php的版本居然还是mac os自带的php版本,于是想到了可以改apache配置文件来切换php版本.

方法如下:

1、在/usr/local/php5目录下找到entropy-php.conf,用文本编辑器打开,将

LoadModule php7_module  /usr/local/php5/libphp7.so

这句配置复制下来,然后删掉.

2、在/etc/apache2目录下找到httpd.conf,用文本编辑器打开,查找

LoadModule php5_module  libexec/apache2/libphp5.so

将前面的#去掉,在下一行粘贴刚刚复制下来的那句配置,并用#注释掉.

例如:

LoadModule php5_module  libexec/apache2/libphp5.so
#LoadModule php7_module  /usr/local/php5/libphp7.so

然后再终端下执行

sudo apachectl restart

重启apache,这时候用phpinfo探测php版本,你会发现php版本已经切换到php5啦!

总结

以上就是这篇文章的全部内容了,希望本文的内容对大家的学习或者工作能带来一定的帮助,如果有疑问大家可以留言交流,谢谢大家对asp之家的支持。

原文链接:https://blog.domeyi.com/2016/08/09/MAC下php多版本切换/

Tags:mac  apache  php版本 
相关文章
手机版 php编程 Asp之家 Aspxhome.com
闽ICP备06017341号